#include "mainwindow.h"
#include "serverlistviewitem.h"
#include <qfile.h>
#include <stdio.h>
#include <stdlib.h>
#include <qdom.h>
#include <qstatusbar.h>
#include <qmessagebox.h>
#include "xmlparser.h"

void MainWindow::load_session()
{
	XMLParser parser(&option, &server_map, toolbar, statusBar());

	parser.parse_rc();

	switch(option.style)
	{
		case 0:
			slot_windows();
			break;
		case 1:
			slot_cde();
			break;
		case 2:
			slot_motif();
			break;
		case 3:
			slot_motif_plus();
			break;
		case 4:
			slot_platinum();
			break;
		case 5:
			slot_sgi();
			break;
		case 6:
			slot_jfc();
			break;
		case 7:
			slot_nextstep();
			break;
		default:
			slot_windows();
			break;
	}
}

void MainWindow::save_session()
{
	XMLParser parser(&option, &server_map, toolbar, statusBar());

	parser.save_rc();
}
