#ifndef XMLPARSER_H
#define XMLPARSER_H

#include <qdom.h>
#include <qtoolbar.h>
#include <qstatusbar.h>
#include "mainwindow.h"

class XMLParser
{
public:
	XMLParser(struct __option__ *option, QMap<QString, struct server_data> *server_map, QToolBar *toolbar, QStatusBar *statusbar) { this->option = option; this->server_map = server_map; this->toolbar = toolbar; this->statusbar = statusbar; };
	~XMLParser() {};

	bool parse_rc();
	bool save_rc();

private:
	struct __option__ *option;
	QMap<QString, struct server_data> *server_map;
	QToolBar *toolbar;
	QStatusBar *statusbar;
	QString get_server(QString sql);
};

#endif
